diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
index eabd8689..4997d175 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
@@ -77,525 +80,525 @@ define('pgadmin.node.foreign_key', [
                 } else {
                   Backform.NodeListByNameControl.prototype.initialize.apply(this, arguments);
                 }
-            },
-            removeColumn: function (m) {
-              var that = this;
-              setTimeout(function   () {
-                that.custom_options();
-                that.render.apply(that);
-              }, 50);
-            },
-            resetColOptions: function(m) {
-              var that = this;
+              },
+              removeColumn: function () {
+                var that = this;
+                setTimeout(function   () {
+                  that.custom_options();
+                  that.render.apply(that);
+                }, 50);
+              },
+              resetColOptions: function(m) {
+                var that = this;
 
-              if (m.previous('name') ==  self.headerData.get('local_column')) {
-                /*
-                 * Table column name has changed so update
-                 * column name in foreign key as well.
-                 */
-                self.headerData.set(
-                  {"local_column": m.get('name')});
+                if (m.previous('name') ==  self.headerData.get('local_column')) {
+                  /*
+                   * Table column name has changed so update
+                   * column name in foreign key as well.
+                   */
+                  self.headerData.set(
+                    {'local_column': m.get('name')});
                   self.headerDataChanged();
-              }
+                }
 
-              setTimeout(function () {
-                that.custom_options();
-                that.render.apply(that);
-              }, 50);
-            },
-            custom_options: function() {
-              // We will add all the columns entered by user in table model
-              var columns = self.model.top.get('columns'),
+                setTimeout(function () {
+                  that.custom_options();
+                  that.render.apply(that);
+                }, 50);
+              },
+              custom_options: function() {
+                // We will add all the columns entered by user in table model
+                var columns = self.model.top.get('columns'),
                   added_columns_from_tables = [];
 
-              if (columns.length > 0) {
-                _.each(columns.models, function(m) {
+                if (columns.length > 0) {
+                  _.each(columns.models, function(m) {
                     var col = m.get('name');
                     if(!_.isUndefined(col) && !_.isNull(col)) {
                       added_columns_from_tables.push(
                         {label: col, value: col, image:'icon-column'}
                       );
                     }
-                });
-              }
-              // Set the values in to options so that user can select
-              this.field.set('options', added_columns_from_tables);
-            },
-            template: headerSelectControlTemplate,
-            remove: function () {
-              if(self.model.handler) {
-                var tableCols = self.model.top.get('columns');
-                this.stopListening(tableCols, 'remove' , this.removeColumn);
-                this.stopListening(tableCols, 'change:name' , this.resetColOptions);
+                  });
+                }
+                // Set the values in to options so that user can select
+                this.field.set('options', added_columns_from_tables);
+              },
+              template: headerSelectControlTemplate,
+              remove: function () {
+                if(self.model.handler) {
+                  var tableCols = self.model.top.get('columns');
+                  this.stopListening(tableCols, 'remove' , this.removeColumn);
+                  this.stopListening(tableCols, 'change:name' , this.resetColOptions);
 
-                Backform.Select2Control.prototype.remove.apply(this, arguments);
+                  Backform.Select2Control.prototype.remove.apply(this, arguments);
 
-              } else {
-                Backform.NodeListByNameControl.prototype.remove.apply(this, arguments);
-              }
-            }
-          }),
-          select2: {
-            allowClear: false, width: 'style',
-            placeholder: gettext('Select column'),
-            first_empty: !_.isUndefined(self.model.get('oid'))
-          },
-          version_compatible: self.field.get('version_compatible'),
-          disabled: function(m) {
-            return !_.isUndefined(self.model.get('oid'));
-          }
-        },{
-          id: 'references', label:'', type: 'text', cache_level: 'server',
-          select2: {
-            allowClear: false, width: 'style',
-            placeholder: 'Select foreign table',
-          }, first_empty: true,
-          control: Backform.NodeListByNameControl.extend({
-            formatter: Backform.ControlFormatter,
-            template: headerSelectControlTemplate
+                } else {
+                  Backform.NodeListByNameControl.prototype.remove.apply(this, arguments);
+                }
+              },
             }),
-          url: 'all_tables', node: 'table',
-          version_compatible: self.field.get('version_compatible'),
-          disabled: function(m) {
-            return !_.isUndefined(self.model.get('oid'));
-          },
-          transform: function(rows) {
-            var res = [];
-            _.each(rows, function(r) {
-              res.push({
-                'value': r.value,
-                'image': "icon-table",
-                'label': r.label
+            select2: {
+              allowClear: false, width: 'style',
+              placeholder: gettext('Select column'),
+              first_empty: !_.isUndefined(self.model.get('oid')),
+            },
+            version_compatible: self.field.get('version_compatible'),
+            disabled: function() {
+              return !_.isUndefined(self.model.get('oid'));
+            },
+          },{
+            id: 'references', label:'', type: 'text', cache_level: 'server',
+            select2: {
+              allowClear: false, width: 'style',
+              placeholder: 'Select foreign table',
+            }, first_empty: true,
+            control: Backform.NodeListByNameControl.extend({
+              formatter: Backform.ControlFormatter,
+              template: headerSelectControlTemplate,
+            }),
+            url: 'all_tables', node: 'table',
+            version_compatible: self.field.get('version_compatible'),
+            disabled: function() {
+              return !_.isUndefined(self.model.get('oid'));
+            },
+            transform: function(rows) {
+              var res = [];
+              _.each(rows, function(r) {
+                res.push({
+                  'value': r.value,
+                  'image': 'icon-table',
+                  'label': r.label,
+                });
               });
-            });
-            return res;
-          }
-        },{
-          id: 'referenced', label:'', type: 'text', cache_level: 'server',
-          transform: function(rows) {
-            var res = [];
-            _.each(rows, function(r) {
-              res.push({
-                'value': r.name,
-                'image': 'icon-column',
-                'label': r.name
+              return res;
+            },
+          },{
+            id: 'referenced', label:'', type: 'text', cache_level: 'server',
+            transform: function(rows) {
+              var res = [];
+              _.each(rows, function(r) {
+                res.push({
+                  'value': r.name,
+                  'image': 'icon-column',
+                  'label': r.name,
+                });
               });
-            });
-            return res;
-          },
-          control: Backform.Select2Control.extend({
-            formatter: Backform.ControlFormatter,
-            template: headerSelectControlTemplate,
-            render: function() {
-              var self = this,
-              url = self.field.get('url') || self.defaults.url,
-              m = self.model,
-              tid = m.get('references');
+              return res;
+            },
+            control: Backform.Select2Control.extend({
+              formatter: Backform.ControlFormatter,
+              template: headerSelectControlTemplate,
+              render: function() {
+                var self = this,
+                  url = self.field.get('url') || self.defaults.url,
+                  m = self.model,
+                  tid = m.get('references');
 
-              // Clear any existing value before setting new options.
-              m.set(self.field.get('name'), null, {silent: true});
+                // Clear any existing value before setting new options.
+                m.set(self.field.get('name'), null, {silent: true});
 
-              if (url && !_.isUndefined(tid) && !_.isNull(tid) && tid != '') {
-                var node = this.field.get('schema_node'),
+                if (url && !_.isUndefined(tid) && !_.isNull(tid) && tid != '') {
+                  var node = this.field.get('schema_node'),
                     node_info = this.field.get('node_info'),
                     full_url = node.generate_url.apply(
                       node, [
                         null, url, this.field.get('node_data'),
-                        this.field.get('url_with_id') || false, node_info
+                        this.field.get('url_with_id') || false, node_info,
                       ]),
                     data = [];
 
-                if (this.field.get('version_compatible')) {
-                  m.trigger('pgadmin:view:fetching', m, self.field);
-                  $.ajax({
-                    async: false,
-                    data : {tid:tid},
-                    url: full_url,
-                    success: function(res) {
-                      data = res.data;
-                    },
-                    error: function() {
-                      m.trigger('pgadmin:view:fetch:error', m, self.field);
-                    }
-                  });
-                  m.trigger('pgadmin:view:fetched', m, self.field);
-                }
-                /*
-                 * Transform the data
-                 */
-                var transform = this.field.get('transform') || self.defaults.transform;
-                if (transform && _.isFunction(transform)) {
-                  // We will transform the data later, when rendering.
-                  // It will allow us to generate different data based on the
-                  // dependencies.
-                  self.field.set('options', transform.bind(self, data));
+                  if (this.field.get('version_compatible')) {
+                    m.trigger('pgadmin:view:fetching', m, self.field);
+                    $.ajax({
+                      async: false,
+                      data : {tid:tid},
+                      url: full_url,
+                      success: function(res) {
+                        data = res.data;
+                      },
+                      error: function() {
+                        m.trigger('pgadmin:view:fetch:error', m, self.field);
+                      },
+                    });
+                    m.trigger('pgadmin:view:fetched', m, self.field);
+                  }
+                    /*
+                     * Transform the data
+                     */
+                  var transform = this.field.get('transform') || self.defaults.transform;
+                  if (transform && _.isFunction(transform)) {
+                    // We will transform the data later, when rendering.
+                    // It will allow us to generate different data based on the
+                    // dependencies.
+                    self.field.set('options', transform.bind(self, data));
+                  } else {
+                    self.field.set('options', data);
+                  }
                 } else {
-                  self.field.set('options', data);
+                  self.field.set('options', []);
                 }
-              } else {
-                self.field.set('options', []);
-              }
-              Backform.Select2Control.prototype.render.apply(this, arguments);
-              return this;
-            }
-          }), url: 'get_columns',
-          select2: {
-            allowClear: false,
-            width: "style",
-            placeholder: gettext('Select column'),
-            templateResult: formatNode,
-            templateSelection: formatNode
-          },
-          deps:['references'],  node: 'table',
-          version_compatible: self.field.get('version_compatible'),
-          disabled: function(m) {
-            return !_.isUndefined(self.model.get('oid'));
-          }
-        }],
-        headerDefaults = {local_column: null,
-                          references: null,
-                          referenced:null},
-        gridCols = ['local_column', 'references', 'referenced'];
+                Backform.Select2Control.prototype.render.apply(this, arguments);
+                return this;
+              },
+            }), url: 'get_columns',
+            select2: {
+              allowClear: false,
+              width: 'style',
+              placeholder: gettext('Select column'),
+              templateResult: formatNode,
+              templateSelection: formatNode,
+            },
+            deps:['references'],  node: 'table',
+            version_compatible: self.field.get('version_compatible'),
+            disabled: function() {
+              return !_.isUndefined(self.model.get('oid'));
+            },
+          }],
+          headerDefaults = {local_column: null,
+            references: null,
+            referenced:null},
+          gridCols = ['local_column', 'references', 'referenced'];
 
-      if ((!self.model.isNew() && _.isUndefined(self.model.handler)) ||
+        if ((!self.model.isNew() && _.isUndefined(self.model.handler)) ||
           (_.has(self.model, 'handler') &&
-          !_.isUndefined(self.model.handler) &&
-          !_.isUndefined(self.model.get('oid')))) {
-        var column = self.collection.first();
-        if (column) {
-          headerDefaults["references"] = column.get("references");
+            !_.isUndefined(self.model.handler) &&
+              !_.isUndefined(self.model.get('oid')))) {
+          var column = self.collection.first();
+          if (column) {
+            headerDefaults['references'] = column.get('references');
+          }
         }
-      }
 
-      self.headerData = new (Backbone.Model.extend({
-        defaults: headerDefaults,
-        schema: headerSchema
-      }))({});
+        self.headerData = new (Backbone.Model.extend({
+          defaults: headerDefaults,
+          schema: headerSchema,
+        }))({});
 
-      var headerGroups = Backform.generateViewSchema(
+        var headerGroups = Backform.generateViewSchema(
           self.field.get('node_info'), self.headerData, 'create',
           node, self.field.get('node_data')
-          ),
+        ),
           fields = [];
 
-      _.each(headerGroups, function(o) {
-        fields = fields.concat(o.fields);
-      });
+        _.each(headerGroups, function(o) {
+          fields = fields.concat(o.fields);
+        });
 
-      self.headerFields = new Backform.Fields(fields);
-      self.gridSchema = Backform.generateGridColumnsFromModel(
+        self.headerFields = new Backform.Fields(fields);
+        self.gridSchema = Backform.generateGridColumnsFromModel(
           //null, ForeignKeyColumnModel, 'edit', gridCols
           self.field.get('node_info'), self.field.get('model'), 'edit',
           gridCols, self.field.get('schema_node')
-          );
+        );
 
-      self.controls = [];
-      self.listenTo(self.headerData, "change", self.headerDataChanged);
-      self.listenTo(self.headerData, "select2", self.headerDataChanged);
-      self.listenTo(self.collection, "add", self.onAddorRemoveColumns);
-      self.listenTo(self.collection, "remove", self.onAddorRemoveColumns);
-    },
+        self.controls = [];
+        self.listenTo(self.headerData, 'change', self.headerDataChanged);
+        self.listenTo(self.headerData, 'select2', self.headerDataChanged);
+        self.listenTo(self.collection, 'add', self.onAddorRemoveColumns);
+        self.listenTo(self.collection, 'remove', self.onAddorRemoveColumns);
+      },
+
+      generateHeader: function(data) {
+        var header = [
+          '<div class="subnode-header-form">',
+          ' <div class="container-fluid">',
+          '  <div class="row">',
+          '   <div class="col-md-4">',
+          '    <label class="control-label"><%-column_label%></label>',
+          '   </div>',
+          '   <div class="col-md-6" header="local_column"></div>',
+          '   <div class="col-md-2">',
+          '     <button class="btn-sm btn-default add fa fa-plus" <%=canAdd ? "" : "disabled=\'disabled\'"%> ></button>',
+          '   </div>',
+          '  </div>',
+          '  <div class="row">',
+          '   <div class="col-md-4">',
+          '    <label class="control-label"><%-references_label%></label>',
+          '   </div>',
+          '   <div class="col-md-6" header="references"></div>',
+          '  </div>',
+          '  <div class="row">',
+          '   <div class="col-md-4">',
+          '    <label class="control-label"><%-referenced_label%></label>',
+          '   </div>',
+          '   <div class="col-md-6" header="referenced"></div>',
+          '  </div>',
+          ' </div>',
+          '</div>'].join('\n');
+
+        _.extend(data, {
+          column_label: gettext('Local column'),
+          references_label: gettext('References'),
+          referenced_label: gettext('Referencing'),
+        });
 
-    generateHeader: function(data) {
-      var header = [
-        '<div class="subnode-header-form">',
-        ' <div class="container-fluid">',
-        '  <div class="row">',
-        '   <div class="col-md-4">',
-        '    <label class="control-label"><%-column_label%></label>',
-        '   </div>',
-        '   <div class="col-md-6" header="local_column"></div>',
-        '   <div class="col-md-2">',
-        '     <button class="btn-sm btn-default add fa fa-plus" <%=canAdd ? "" : "disabled=\'disabled\'"%> ></button>',
-        '   </div>',
-        '  </div>',
-        '  <div class="row">',
-        '   <div class="col-md-4">',
-        '    <label class="control-label"><%-references_label%></label>',
-        '   </div>',
-        '   <div class="col-md-6" header="references"></div>',
-        '  </div>',
-        '  <div class="row">',
-        '   <div class="col-md-4">',
-        '    <label class="control-label"><%-referenced_label%></label>',
-        '   </div>',
-        '   <div class="col-md-6" header="referenced"></div>',
-        '  </div>',
-        ' </div>',
-        '</div>',].join("\n")
-
-      _.extend(data, {
-        column_label: gettext('Local column'),
-        references_label: gettext('References'),
-        referenced_label: gettext('Referencing')
-      });
-
-      var self = this,
+        var self = this,
           headerTmpl = _.template(header),
           $header = $(headerTmpl(data)),
           controls = this.controls;
 
-      this.headerFields.each(function(field) {
-        var control = new (field.get("control"))({
-          field: field,
-          model: self.headerData
-        });
+        this.headerFields.each(function(field) {
+          var control = new (field.get('control'))({
+            field: field,
+            model: self.headerData,
+          });
 
-        $header.find('div[header="' + field.get('name') + '"]').append(
-          control.render().$el
-        );
+          $header.find('div[header="' + field.get('name') + '"]').append(
+            control.render().$el
+          );
 
-        controls.push(control);
-      });
+          controls.push(control);
+        });
 
-      // We should not show add but in properties mode
-      if (data.mode == 'properties') {
-        $header.html('');
-      }
+        // We should not show add but in properties mode
+        if (data.mode == 'properties') {
+          $header.html('');
+        }
 
-      self.$header = $header;
+        self.$header = $header;
 
-      return $header;
-    },
+        return $header;
+      },
 
-    events: _.extend(
-                {}, Backform.UniqueColCollectionControl.prototype.events,
-                {'click button.add': 'addColumns'}
-                ),
+      events: _.extend(
+        {}, Backform.UniqueColCollectionControl.prototype.events,
+        {'click button.add': 'addColumns'}
+      ),
 
-    showGridControl: function(data) {
+      showGridControl: function(data) {
 
-      var self = this,
+        var self = this,
           titleTmpl = _.template([
-            "<div class='subnode-header'>",
-            "<label class='control-label'><%-label%></label>",
-            "</div>"].join("\n")),
+            '<div class=\'subnode-header\'>',
+            '<label class=\'control-label\'><%-label%></label>',
+            '</div>'].join('\n')),
           $gridBody =
-            $("<div class='pgadmin-control-group backgrid form-group col-xs-12 object subnode'></div>").append(
-              // Append titleTmpl only if create/edit mode
-              data.mode !== 'properties' ? titleTmpl({label: data.label}) : ''
-            );
-
-      // Clean up existing grid if any (in case of re-render)
-      if (self.grid) {
-        self.grid.remove();
-      }
+          $('<div class=\'pgadmin-control-group backgrid form-group col-xs-12 object subnode\'></div>').append(
+            // Append titleTmpl only if create/edit mode
+            data.mode !== 'properties' ? titleTmpl({label: data.label}) : ''
+          );
 
-      $gridBody.append(self.generateHeader(data));
+        // Clean up existing grid if any (in case of re-render)
+        if (self.grid) {
+          self.grid.remove();
+        }
 
-      var gridSchema = _.clone(this.gridSchema);
+        $gridBody.append(self.generateHeader(data));
 
-      // Insert Delete Cell into Grid
-      if (data.disabled == false && data.canDelete) {
+        var gridSchema = _.clone(this.gridSchema);
+
+        // Insert Delete Cell into Grid
+        if (data.disabled == false && data.canDelete) {
           gridSchema.columns.unshift({
-            name: "pg-backform-delete", label: "",
+            name: 'pg-backform-delete', label: '',
             cell: Backgrid.Extension.DeleteCell,
-            editable: false, cell_priority: -1
+            editable: false, cell_priority: -1,
           });
-      }
+        }
+
+        // Initialize a new Grid instance
+        var grid = self.grid = new Backgrid.Grid({
+          columns: gridSchema.columns,
+          collection: self.collection,
+          className: 'backgrid table-bordered',
+        });
+        self.$grid = grid.render().$el;
+
+        $gridBody.append(self.$grid);
 
-      // Initialize a new Grid instance
-      var grid = self.grid = new Backgrid.Grid({
-        columns: gridSchema.columns,
-        collection: self.collection,
-        className: "backgrid table-bordered"
-      });
-      self.$grid = grid.render().$el;
-
-      $gridBody.append(self.$grid);
-
-      setTimeout(function() {
-        self.headerData.set({
-          'local_column':
-          self.$header.find(
-            'div[header="local_column"] select option:first'
-            ).val(),
+        setTimeout(function() {
+          self.headerData.set({
+            'local_column':
+              self.$header.find(
+                'div[header="local_column"] select option:first'
+              ).val(),
             'referenced':
-          self.$header.find(
-            'div[header="referenced"] select option:first'
-            ).val(),
+              self.$header.find(
+                'div[header="referenced"] select option:first'
+              ).val(),
             'references':
-          self.$header.find(
-            'div[header="references"] select option:first'
-            ).val()
-            }, {silent:true}
+              self.$header.find(
+                'div[header="references"] select option:first'
+              ).val(),
+          }, {silent:true}
           );
-      }, 10);
+        }, 10);
 
-      // Remove unwanted class from grid to display it properly
-      if(data.mode === 'properties')
-        $gridBody.find('.subnode-header-form').removeClass('subnode-header-form');
+        // Remove unwanted class from grid to display it properly
+        if(data.mode === 'properties')
+          $gridBody.find('.subnode-header-form').removeClass('subnode-header-form');
 
-      // Render node grid
-      return $gridBody;
-    },
+        // Render node grid
+        return $gridBody;
+      },
 
-    headerDataChanged: function() {
-      var self = this, val,
+      headerDataChanged: function() {
+        var self = this, val,
           data = this.headerData.toJSON(),
           inSelected = false,
           checkVars = ['local_column', 'referenced'];
 
-      if (!self.$header) {
-        return;
-      }
+        if (!self.$header) {
+          return;
+        }
 
-      if (self.control_data.canAdd) {
-        self.collection.each(function(m) {
-          if (!inSelected) {
-            _.each(checkVars, function(v) {
-              if (!inSelected) {
-                val = m.get(v);
-                inSelected = ((
-                  (_.isUndefined(val) || _.isNull(val)) &&
-                  (_.isUndefined(data[v]) || _.isNull(data[v]))
+        if (self.control_data.canAdd) {
+          self.collection.each(function(m) {
+            if (!inSelected) {
+              _.each(checkVars, function(v) {
+                if (!inSelected) {
+                  val = m.get(v);
+                  inSelected = ((
+                    (_.isUndefined(val) || _.isNull(val)) &&
+                      (_.isUndefined(data[v]) || _.isNull(data[v]))
                   ) ||
-                  (val == data[v]));
-              }
-            });
-          }
-        });
-      }
-      else {
-        inSelected = true;
-      }
+                      (val == data[v]));
+                }
+              });
+            }
+          });
+        }
+        else {
+          inSelected = true;
+        }
 
-      self.$header.find('button.add').prop('disabled', inSelected);
-    },
+        self.$header.find('button.add').prop('disabled', inSelected);
+      },
 
-    addColumns: function(ev) {
-      ev.preventDefault();
-      var self = this,
+      addColumns: function(ev) {
+        ev.preventDefault();
+        var self = this,
           local_column = self.headerData.get('local_column'),
           referenced = self.headerData.get('referenced');
 
-      if (!local_column || local_column == '' ||
+        if (!local_column || local_column == '' ||
           !referenced || referenced  =='') {
-        return false;
-      }
+          return false;
+        }
 
-      var m = new (self.field.get('model'))(
-                self.headerData.toJSON()),
+        var m = new (self.field.get('model'))(
+          self.headerData.toJSON()),
           coll = self.model.get(self.field.get('name'));
 
-      coll.add(m);
+        coll.add(m);
 
-      var idx = coll.indexOf(m);
+        var idx = coll.indexOf(m);
 
-      // idx may not be always > -1 because our UniqueColCollection may
-      // remove 'm' if duplicate value found.
-      if (idx > -1) {
-        self.$grid.find('.new').removeClass('new');
+        // idx may not be always > -1 because our UniqueColCollection may
+        // remove 'm' if duplicate value found.
+        if (idx > -1) {
+          self.$grid.find('.new').removeClass('new');
 
-        var newRow = self.grid.body.rows[idx].$el;
+          var newRow = self.grid.body.rows[idx].$el;
 
-        newRow.addClass("new");
-        $(newRow).pgMakeVisible('backform-tab');
-      } else {
-        //delete m;
-      }
+          newRow.addClass('new');
+          $(newRow).pgMakeVisible('backform-tab');
+        } else {
+          //delete m;
+        }
 
-      return false;
-    },
+        return false;
+      },
 
-    onAddorRemoveColumns: function() {
-      var self = this;
+      onAddorRemoveColumns: function() {
+        var self = this;
 
-      // Wait for collection to be updated before checking for the button to be
-      // enabled, or not.
-      setTimeout(function() {
-        if (self.collection.length > 0) {
-          self.$header.find(
-            'div[header="references"] select'
+        // Wait for collection to be updated before checking for the button to be
+        // enabled, or not.
+        setTimeout(function() {
+          if (self.collection.length > 0) {
+            self.$header.find(
+              'div[header="references"] select'
             ).prop('disabled', true);
-        } else {
-          self.$header.find(
-            'div[header="references"] select'
+          } else {
+            self.$header.find(
+              'div[header="references"] select'
             ).prop('disabled', false);
-        }
+          }
 
-        self.collection.trigger('pgadmin:columns:updated', self.collection);
+          self.collection.trigger('pgadmin:columns:updated', self.collection);
 
-        self.headerDataChanged();
+          self.headerDataChanged();
 
-        if ((!_.has(self.model, 'handler') || (_.has(self.model, 'handler') &&
-              _.isUndefined(self.model.handler))) ||
-            (_.has(self.model, 'handler') && !_.isUndefined(self.model.handler) &&
-            !_.isUndefined(self.model.handler.get('oid')))) {
-          self.getCoveringIndex();
-        }
+          if ((!_.has(self.model, 'handler') || (_.has(self.model, 'handler') &&
+            _.isUndefined(self.model.handler))) ||
+              (_.has(self.model, 'handler') && !_.isUndefined(self.model.handler) &&
+                !_.isUndefined(self.model.handler.get('oid')))) {
+            self.getCoveringIndex();
+          }
 
-      }, 10);
-    },
+        }, 10);
+      },
 
-    getCoveringIndex: function() {
+      getCoveringIndex: function() {
 
-      var self = this,
+        var self = this,
           url = 'get_coveringindex',
           m = self.model,
           cols = [],
           coveringindex = null;
 
-          self.collection.each(function(m){
-            cols.push(m.get('local_column'));
-          })
-
-          if (cols.length > 0) {
-            var node = this.field.get('schema_node'),
-              node_info = this.field.get('node_info'),
-              full_url = node.generate_url.apply(
-                node, [
-                  null, url, this.field.get('node_data'),
-                  this.field.get('url_with_id') || false, node_info
-                ]);
-
-            if (this.field.get('version_compatible')) {
-              m.trigger('pgadmin:view:fetching', m, self.field);
-              $.ajax({
-                async: false,
-                data : {cols:JSON.stringify(cols)},
-                url: full_url,
-                success: function(res) {
-                  coveringindex = res.data;
-                },
-                error: function() {
-                  m.trigger('pgadmin:view:fetch:error', m, self.field);
-                }
-              });
-              m.trigger('pgadmin:view:fetched', m, self.field);
-            }
-          }
+        self.collection.each(function(m){
+          cols.push(m.get('local_column'));
+        });
 
-          if (coveringindex) {
-            m.set('hasindex', true);
-            m.set('autoindex', false);
-            m.set('coveringindex', coveringindex);
-          } else {
-            m.set('coveringindex', null);
-            m.set('autoindex', true);
-            m.set('hasindex', false);
+        if (cols.length > 0) {
+          var node = this.field.get('schema_node'),
+            node_info = this.field.get('node_info'),
+            full_url = node.generate_url.apply(
+              node, [
+                null, url, this.field.get('node_data'),
+                this.field.get('url_with_id') || false, node_info,
+              ]);
+
+          if (this.field.get('version_compatible')) {
+            m.trigger('pgadmin:view:fetching', m, self.field);
+            $.ajax({
+              async: false,
+              data : {cols:JSON.stringify(cols)},
+              url: full_url,
+              success: function(res) {
+                coveringindex = res.data;
+              },
+              error: function() {
+                m.trigger('pgadmin:view:fetch:error', m, self.field);
+              },
+            });
+            m.trigger('pgadmin:view:fetched', m, self.field);
           }
-    },
+        }
 
-    remove: function() {
-      /*
-       * Stop listening the events registered by this control.
-       */
-      this.stopListening(this.headerData, "change", this.headerDataChanged);
-      this.listenTo(this.headerData, "select2", this.headerDataChanged);
-      this.listenTo(this.collection, "remove", this.onRemoveVariable);
-      // Remove header controls.
-      _.each(this.controls, function(controls) {
-        controls.remove();
-      });
+        if (coveringindex) {
+          m.set('hasindex', true);
+          m.set('autoindex', false);
+          m.set('coveringindex', coveringindex);
+        } else {
+          m.set('coveringindex', null);
+          m.set('autoindex', true);
+          m.set('hasindex', false);
+        }
+      },
 
-      ForeignKeyColumnControl.__super__.remove.apply(this, arguments);
+      remove: function() {
+        /*
+         * Stop listening the events registered by this control.
+         */
+        this.stopListening(this.headerData, 'change', this.headerDataChanged);
+        this.listenTo(this.headerData, 'select2', this.headerDataChanged);
+        this.listenTo(this.collection, 'remove', this.onRemoveVariable);
+        // Remove header controls.
+        _.each(this.controls, function(controls) {
+          controls.remove();
+        });
 
-      // Remove the header model
-      delete (this.headerData);
+        ForeignKeyColumnControl.__super__.remove.apply(this, arguments);
 
-    }
-  });
+        // Remove the header model
+        delete (this.headerData);
+
+      },
+    });
 
   // Extend the browser's node class for foreign key node
   if (!pgBrowser.Nodes['foreign_key']) {
